<?php
/**
 * Created by PhpStorm.
 * User: Cosmos
 * Date: 26.01.20
 * Time: 15:57
 */

function m2t($millimeters){
    return floor($millimeters*56.7); //1 твип равен 1/567 сантиметра
}

$PHPWord = new \PhpOffice\PhpWord\PhpWord();

$PHPWord->setDefaultFontName('Times New Roman');
$PHPWord->setDefaultFontSize(8.5);

$sectionStyle = array('orientation' => 'landscape',
    'marginLeft' => m2t(15),
    'marginRight' => m2t(15),
    'marginTop' => m2t(11),
    'marginBottom' => m2t(13),
    'colsNum' => 2,
    'breakType' => 'continuous'
);
$section = $PHPWord->addSection($sectionStyle);

$cellStyle = array(
    'borderTopSize' => 1,
    'borderRightSize' => 1,
    'borderBottomSize' => 1,
    'borderLeftSize' => 1,
    'borderTopColor' => '#000000',
    'borderRightColor' => '#000000',
    'borderBottomColor' => '#000000',
    'borderLeftColor' => '#000000',
);


$transaction = Yii::$app->db->beginTransaction();
try{
    if ($id_gruppa==0){
        $childs = Yii::$app->db->createCommand('select * from deti where `out` is null')->queryAll();
        $file_name = 'Все группы';
    }else{
        $childs = Yii::$app->db->createCommand('select * from deti where `out` is null and id_gruppa=:id_gruppa',[
            'id_gruppa' => $id_gruppa
        ])->queryAll();
        $file_name = 'группа № '.$id_gruppa;
    }
    $rostves = Yii::$app->db->createCommand('select * from rostves where year(dat) = year(now())')->queryAll();
    $transaction->commit();
}catch (Exception $e){
    $transaction->rollBack();
}

foreach($childs as $key => $child){



//Yii::debug($rostves);
foreach($rostves as $r){
    if ($child['id']==$r['id_child']){
        $rost = str_replace('.',',',$r['rost']);
        $ves = str_replace('.',',',$r['ves']);
    }
}

$fio_name = explode(' ',$child['name']);
$family = $fio_name[0];
$name = $fio_name[1];

$under_text_m = '';
$under_text_g = '';
if (trim($child['pol'])=='М')$under_text_m = ['underline' => 'single'];
if (trim($child['pol'])=='Ж')$under_text_g = ['underline' => 'single'];

$rost4 = '_______';
$ves4 = '_______';
$rost5 = '_______';
$ves5 = '_______';

$date_rozd = date('Y',strtotime($child['rozd']));
if (date('Y')-$date_rozd > 4){
    $rost5 = !empty($rost) ? $rost : $rost5;
    $ves5 = !empty($ves) ? $ves : $ves5;
}else{
    $rost4 = !empty($rost) ? $rost : $rost4;
    $ves4 = !empty($ves) ? $ves : $ves4;
}






$textrun = $section->createTextRun(['align' => 'left','spaceAfter' => 1,'spaceBefore' => 1]);
$textrun->addText('16.6.4 Дополнительные консультации и исследования выполнены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, стационарных условиях (нужное подчеркнуть).<w:br/>16.6.5 Лечение назначено: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.6.6. Медицинская реабилитация и (или) санаторно-курортное лечение назначены: да, нет (нужное  подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.7. Инвалидность: да, нет (нужное подчеркнуть); если "да": с рождения, приобретенная (нужное подчеркнуть);<w:br/>установлена впервые (дата)_____________________________________;<w:br/>дата последнего освидетельствования _______________________________.<w:br/>16.8. Группа здоровья: I, II, III, IV, V (нужное подчеркнуть).<w:br/>16.9. Медицинская группа для занятий физической культурой: I, II, III, IV, не допущен (нужное подчеркнуть).<w:br/>17. Рекомендации по формированию здорового образа жизни, режиму дня, питанию, физическому развитию, иммунопрофилактике, занятиям физической культурой: ________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________<w:br/>18. Рекомендации по проведению диспансерного наблюдения, лечению, медицинской реабилитации и санаторно-курортному лечению:<w:br/>________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________
Врач    _____________________________  _______________________________________________<w:br/>                                (подпись)                                                        (И.О. Фамилия)<w:br/>Руководитель медицинской организации  ___________________       ________________________<w:br/>
                                                                                 (подпись)                             (И.О. Фамилия)<w:br/>Дата заполнения "___"_____________ 20__ г.                       М.П.<w:br/>Примечание:<w:br/>Все пункты Карты профилактического медицинского осмотра несовершеннолетнего заполняются разборчиво, при отсутствии данных ставится прочерк. Исправления не допускаются.<w:br/>____________________________________________________________________________________<w:br/><w:br/> Международная статистическая классификация болезней и проблем,<w:br/> связанных со здоровьем.');
$section->addTextBreak(1);

$table = $section->addTable();
$table->addRow(m2t(8));
$table->addCell(m2t(90))->addText('');
$table->addCell(m2t(70))->addText("Приложение № 2<w:br/>к приказу Министерства здравоохранения<w:br/>Российской Федерации<w:br/>от 10 августа 2017 г. № 514н<w:br/>                Медицинская документация<w:br/>             Учетная форма № 030-ПО/у-17",null,['align' => 'left','spaceAfter' => 1,'spaceBefore' => 1]);
$textrun = $section->createTextRun(['align' => 'center','spaceAfter' => 1,'spaceBefore' => 50]);
$textrun->addText('Карта',['bold' => true,'size' => 11]);
$textrun = $section->createTextRun(['align' => 'distribute','spaceAfter' => 1,'spaceBefore' => 1]);
$textrun->addText('профилактического медицинского осмотра несовершеннолетнего',['bold' => true,'size' => 11]);

$textrun = $section->createTextRun(['align' => 'left','spaceAfter' => 1,'spaceBefore' => 50]);
$textrun->addText('1. Фамилия, имя, отчество (при наличии) несовершеннолетнего:<w:br/>'.$family.' '.$name.' '.$child['otche'].' <w:br/>Пол: ');
$textrun->addText('муж.',$under_text_m);
$textrun->addText('/');
$textrun->addText('жен.',$under_text_g);
$textrun->addText(' (нужное подчеркнуть)<w:br/>Дата рождения: '.Yii::$app->formatter->asDate($child['rozd']).'.<w:br/>2. Полис обязательного медицинского страхования: '.trim($child['polis']).'.<w:br/>Страховая медицинская организация: _____________________________________.<w:br/>3. Страховой номер индивидуального лицевого счета: '.trim($child['snils']).'.<w:br/>4. Адрес места жительства (пребывания): '.trim($child['adress']).'.<w:br/>5. Категория: ребенок-сирота; ребенок, оставшийся без попечения родителей;  ребенок, находящийся в трудной жизненной ситуации; нет категории (нужное подчеркнуть).<w:br/>6. Полное наименование медицинской организации, в которой несовершеннолетний получает первичную медико-санитарную помощь:<w:br/>____________________________________________________________________________________<w:br/>7. Адрес места нахождения медицинской организации, в которой несовершеннолетний получает первичную медико-санитарную помощь:<w:br/>____________________________________________________________________________________<w:br/>8. Полное наименование образовательной организации, в которой обучается несовершеннолетний:<w:br/>МКДОУ № 35<w:br/>9. Адрес места нахождения образовательной организации, которой обучается несовершеннолетний: г. Киров, ул. Большева 1.<w:br/>10. Дата начала профилактического медицинского осмотра несовершеннолетнего (далее - профилактический осмотр): ______________________________________.<w:br/>11. Полное наименование и адрес места нахождения медицинской организации, проводившей профилактический осмотр: ________________________________________________________________________________________________________________________________________________________________________<w:br/>12. Оценка физического развития с учетом возраста на момент профилактического осмотра: _______ (число дней) _______ (месяцев) _______ лет.<w:br/>12.1. Для детей в возрасте 0-4 лет: масса (кг) '.$ves4.'; рост (см) '.$rost4.'; окружность головы (см) _______; физическое развитие нормальное, с нарушениями (дефицит массы тела, избыток массы тела, низкий рост, высокий рост - нужное подчеркнуть).<w:br/>12.2. Для детей в возрасте 5-17 лет включительно: масса (кг) '.$ves5.'; рост (см) '.$rost5.'; нормальное, с нарушениями (дефицит массы  тела, избыток массы тела, низкий рост, высокий рост - нужное подчеркнуть).<w:br/>13. Оценка психического развития (состояния):<w:br/>13.1. Для детей в возрасте 0-4 лет:<w:br/>познавательная функция (возраст развития) _________________________;');




$section->addTextBreak(2);

$textrun = $section->createTextRun(['align' => 'left','spaceAfter' => 1,'spaceBefore' => 1]);
$textrun->addText('моторная функция (возраст развития) __________________________________;<w:br/>эмоциональная и социальная (контакт с окружающим  миром) функции<w:br/>(возраст развития) _________________________________________________;<w:br/>предречевое и речевое развитие (возраст развития) _______________________.<w:br/>13.2. Для детей в возрасте 5 - 17 лет:<w:br/>13.2.1. Психомоторная сфера: (норма, нарушения) (нужное подчеркнуть).<w:br/>13.2.2. Интеллект: (норма, нарушения) (нужное подчеркнуть).<w:br/>13.2.3. Эмоционально-вегетативная сфера: (норма, нарушения) (нужное подчеркнуть).<w:br/>14. Оценка полового развития (с 10 лет):<w:br/>14.1. Половая формула мальчика: Р ______ Ах ______ Fa ______.<w:br/>14.2. Половая формула девочки: Р ______ Ах ______ Ма ______ Me ______;<w:br/>характеристика менструальной функции: menarhe (лет, месяцев) _______;<w:br/>menses (характеристика): регулярные, нерегулярные, обильные, умеренные,
скудные, болезненные и безболезненные (нужное подчеркнуть).<w:br/>15. Состояние здоровья до проведения настоящего профилактического осмотра:<w:br/>15.1. Практически здоров ____________________________ (код по МКБ*).<w:br/>15.2. Диагноз ________________________________________ (код по МКБ).<w:br/>15.2.1. Диспансерное наблюдение  установлено: да, нет (нужное подчеркнуть).<w:br/>15.3. Диагноз ________________________________________ (код по МКБ).<w:br/>15.3.1. Диспансерное наблюдение установлено: да, нет (нужное подчеркнуть).<w:br/>15.4. Диагноз ________________________________________ (код по МКБ).<w:br/>15.4.1. Диспансерное наблюдение установлено: да, нет (нужное подчеркнуть).<w:br/>15.5. Диагноз ________________________________________ (код по МКБ).<w:br/>15.5.1. Диспансерное наблюдение установлено: да, нет (нужное подчеркнуть).<w:br/>15.6. Диагноз ________________________________________ (код по МКБ).<w:br/>15.6.1. Диспансерное наблюдение установлено: да, нет (нужное подчеркнуть).<w:br/>15.7. Группа здоровья: I, II, III, IV, V (нужное подчеркнуть).<w:br/>15.8. Медицинская группа для занятий физической культурой:  I, II, III, IV, не допущен (нужное подчеркнуть).<w:br/>16. Состояние здоровья по результатам проведения настоящего профилактического осмотра:<w:br/>16.1. Практически здоров _____________________________ (код по МКБ).<w:br/>16.2. Диагноз ________________________________________ (код по МКБ):<w:br/>16.2.1. Диагноз установлен впервые: да, нет (нужное подчеркнуть).<w:br/>16.2.2. Диспансерное наблюдение: установлено ранее, установлено впервые, не установлено (нужное подчеркнуть).<w:br/>16.2.3. Дополнительные консультации и исследования  назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.2.4. Дополнительные консультации и исследования выполнены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.2.5. Лечение назначено: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.2.6. Медицинская реабилитация и (или) санаторно-курортное лечение назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.3. Диагноз ________________________________________ (код по МКБ):<w:br/>16.3.1. Диагноз установлен впервые: да, нет (нужное подчеркнуть).<w:br/>16.3.2. Диспансерное наблюдение: установлено ранее, установлено впервые, не установлено (нужное подчеркнуть).');


//$section->addTextBreak(1);
$textrun = $section->createTextRun(['align' => 'left','spaceAfter' => 1,'spaceBefore' => 1]);
$textrun->addText('16.3.3. Дополнительные консультации и исследования назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.3.4. Дополнительные консультации и исследования выполнены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.3.5. Лечение назначено: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.3.6. Медицинская реабилитация и (или) санаторно-курортное лечение назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторны условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.4. Диагноз ________________________________________ (код по МКБ):<w:br/>16.4.1. Диагноз установлен впервые: да, нет (нужное подчеркнуть).<w:br/>16.4.2. Диспансерное наблюдение: установлено ранее, установлено впервые, не установлено (нужное подчеркнуть);<w:br/>16.4.3. Дополнительные консультации и исследования назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.4.4. Дополнительные консультации и исследования выполнены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях
дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.4.5. Лечение назначено: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.4.6. Медицинская реабилитация и (или) санаторно-курортное лечение назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.5. Диагноз ________________________________________ (код по МКБ):<w:br/>16.5.1. Диагноз установлен впервые: да, нет (нужное подчеркнуть).<w:br/>16.5.2. Диспансерное наблюдение:  установлено ранее, установлено впервые, не установлено (нужное подчеркнуть).<w:br/>16.5.3. Дополнительные консультации и исследования назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.5.4. Дополнительные консультации и исследования выполнены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.5.5. Лечение назначено: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных
условиях (нужное подчеркнуть).<w:br/>16.5.6. Медицинская реабилитация и (или) санаторно-курортное лечение назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).<w:br/>16.6. Диагноз ________________________________________ (код по МКБ):<w:br/>16.6.1. Диагноз установлен впервые: да, нет (нужное подчеркнуть).<w:br/>16.6.2. Диспансерное наблюдение: установлено ранее, установлено впервые, не установлено (нужное подчеркнуть).<w:br/>16.6.3. Дополнительные консультации и исследования назначены: да, нет (нужное подчеркнуть); если "да": в амбулаторных условиях, в условиях дневного стационара, в стационарных условиях (нужное подчеркнуть).');

    if ($key != count($childs)-1)$section->addPageBreak();
//$section->addTextBreak(2);

}



header("Content-Description: File Transfer");
header('Content-Disposition: attachment; filename="Форма 30 '.$file_name.'  ('.date('d.m.Y h:i:s').').docx"');
header('Content-Type: application/vnd.openxmlformats-officedocument.wordprocessingml.document');
header('Content-Transfer-Encoding: binary');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Expires: 0');

$objWriter = \PhpOffice\PhpWord\IOFactory::createWriter($PHPWord, 'Word2007');
ob_clean();
$objWriter->save("php://output");
exit;